Bug 1367187 - [GSS](6.4.z) Periodic Recovery causes database contention with RAC in a large EAP domain
Summary: [GSS](6.4.z) Periodic Recovery causes database contention with RAC in a large...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Transaction Manager
Version: 6.4.11
Hardware: All
OS: All
unspecified
high
Target Milestone: CR1
: EAP 6.4.11
Assignee: Petr Jurak
QA Contact: Ondrej Chaloupka
URL:
Whiteboard:
Depends On:
Blocks: eap6411-payload 1366320
TreeView+ depends on / blocked
 
Reported: 2016-08-15 19:41 UTC by Matthew Robson
Modified: 2017-01-17 13:11 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-17 13:11:11 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker JBEAP-3651 Major Verified (7.0.z) JBTM-2720 - Allow the setting of an initial delay in PeriodRecovery 2017-11-09 16:37:15 UTC
JBoss Issue Tracker JBTM-2720 Major Resolved Allow the setting of an initial delay in PeriodRecovery 2017-11-09 16:37:15 UTC

Description Matthew Robson 2016-08-15 19:41:34 UTC
Description of problem:

Currently Periodic Recovery kicks off at the same interval on every server. As a domain mode cluster grows in size, this leads to significant contention in the DB, especially for RAC implementations. Completion time goes from milliseconds with 1 server to 20+ seconds with 20+ servers.

Version-Release number of selected component (if applicable):
6.4.x

How reproducible:
100%

Steps to Reproduce:

Actual results:
Increasingly slower recovery scans

Expected results:
Quick execution of recovery scans

Additional info:

Comment 3 Vlado Pakan 2016-09-07 16:39:26 UTC
@Peter Should Jira fixing this issue in EAP 7.1.0 be created together with component upgrade Jira for EAP 7.1.0?
There is no linked Component Upgrade Jira for JBEAP-3651

Comment 4 Ondrej Chaloupka 2016-09-12 11:16:19 UTC
@Vlado I've created a new issue for EAP 7.1.0 here: https://issues.jboss.org/browse/JBEAP-5954

Comment 5 Vlado Pakan 2016-09-13 16:09:28 UTC
Please link proper component upgrade Jiras with Jiras fixing this issue for EAP 7.0.x and EAP 7.1. respectively.

Comment 7 Petr Jurak 2016-09-15 13:14:53 UTC
(In reply to Vlado Pakan from comment #5)
> Please link proper component upgrade Jiras with Jiras fixing this issue for
> EAP 7.0.x and EAP 7.1. respectively.

Linked in component upgrade BZ.

Comment 8 Jiří Bílek 2016-10-05 15:12:31 UTC
Verified with EAP 6.4.11.CP.CR1

Comment 9 JBoss JIRA Server 2016-10-18 12:52:03 UTC
Ivo Studensky <istudens@redhat.com> updated the status of jira JBEAP-3651 to Resolved

Comment 10 Petr Penicka 2017-01-17 13:11:11 UTC
Retroactively bulk-closing issues from released EAP 6.4 cummulative patches.


Note You need to log in before you can comment on or make changes to this bug.